Subject: bug#32282: octave-mode not unmarking region

From: Juang Dse <[email-masked]>
Date: Thu, 4 Feb 2021 16:38:57 +0100

Yes, I'm still seeing it (emacs 28.0.50). But It seems that some
editing is required
to see the issue consistently.

On Thu, Feb 4, 2021 at 10:14 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> [email-masked] writes:
>
> > from within emacs open the following script file
> >
> > --------
> > # octave script script.m
> >
> > x = pi ;
> > --------
> >
> > Then do
> >
> > 1. set editing to octave-mode (M-x octave-mode).
> > 2. mark the entire line "x = pi ;" as a region
> > 3. issue the command `octave-send-region' (C-c C-i r).
> >
> > expected result: command is executed and region is inactive
> > actual result: command is executed but region is still active
>
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>
> I'm unable to reproduce this in Emacs 26-28 with "emacs -Q".  Are you
> still seeing this issue in more recent Emacs versions?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no